package com.eitc.common.filter;

import com.alibaba.fastjson2.JSON;
import com.eitc.common.core.domain.AjaxResult;
import com.eitc.common.core.page.TableDataInfo;
import com.eitc.common.utils.CryptoUtil;
import org.springframework.core.MethodParameter;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.http.server.ServerHttpRequest;
import org.springframework.http.server.ServerHttpResponse;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.servlet.mvc.method.annotation.ResponseBodyAdvice;

import java.util.Map;










@ControllerAdvice
public class CustomResponseBodyAdviceAdapter implements ResponseBodyAdvice<Object> {

    @Override
    public boolean supports(MethodParameter returnType, Class converterType) {
        // 这里可以根据需要判断是否需要拦截，例如只拦截特定的Controller的方法
        return true;
    }

    @Override
    public Object beforeBodyWrite(Object body, MethodParameter returnType, MediaType selectedContentType,
                                  Class selectedConverterType, ServerHttpRequest request, ServerHttpResponse response) {
        // 这里可以对body进行处理，比如添加公共字段，或者修改返回格式等
        if (body instanceof String) {
            return "Custom: " + body;
        } else if (body instanceof ResponseEntity) {
            ResponseEntity<?> responseEntity = (ResponseEntity<?>) body;
            Object originalBody = responseEntity.getBody();
            return ResponseEntity.ok("Custom: " + originalBody);
        }else if (body instanceof AjaxResult) {
            AjaxResult ajaxResult = (AjaxResult) body;
//            String encrypt = CryptoUtil.encrypt(JSON.toJSONString(ajaxResult));
//            AjaxResult ajaxResult2 = new AjaxResult(200, "success", encrypt);
//            return ajaxResult2;
            return ajaxResult;
        }else if (body instanceof TableDataInfo){
            TableDataInfo tableDataInfo = (TableDataInfo) body;
//            AjaxResult ajaxResult = new AjaxResult(200, "success", CryptoUtil.encrypt(JSON.toJSONString(tableDataInfo)));
//            return ajaxResult;
            return tableDataInfo;
        }
        System.out.println(body);
        return body;
    }
}
