package com.eitc.patient.constant;

import java.util.Arrays;
import java.util.List;
import java.util.regex.Pattern;

/**
 * PatientConstant
 *
 * @author mtx
 * @date: 2024/05/22 17:33
 */
public class PatientConstant {

    /**
     * 诊断分类模板
     */
    public static final List<String> DIAGNOSIS_TYPE_TEMPLATE_KEY = Arrays.asList("主诉", "现病史", "既往史", "家族史", "过敏史", "X线片示（影像）", "诊断", "治疗计划", "处置（基础模版公用）", "处置", "医嘱");
    /**
     * 诊断分类模板前缀
     */
    public static final String DIAGNOSIS_TYPE_TEMPLATE_KEY_PREFIX = "patient_diagnosisTypeTemplate_";

    /**
     * 匹配模板{}
     */
    public static final Pattern COMPILE = Pattern.compile("\\{([^}]*)}");

    /**
     * 字典表前缀
     */
    public static final String DICT_KEY_PREFIX = "erm_";

    /**
     * 诊断分类模板名称
     */
    public static final String DICT_KEY_DIAGNOSIS_TYPE_TEMPLATE_NAME = DICT_KEY_PREFIX + "diagnosis_type_template_name";
    /**
     * 国籍
     */
    public static final String DICT_KEY_CITIZENSHIP = DICT_KEY_PREFIX + "citizenship";
    /**
     * 职业
     */
    public static final String DICT_KEY_OCCUPATION = DICT_KEY_PREFIX + "occupation";
    /**
     * 民族
     */
    public static final String DICT_KEY_NATIONALITY = DICT_KEY_PREFIX + "nationality";
    /**
     * 婚姻
     */
    public static final String DICT_KEY_MARRIAGE = DICT_KEY_PREFIX + "marriage";
    /**
     * 患者来源
     */
    public static final String DICT_KEY_PATIENT_SOURCE = DICT_KEY_PREFIX + "patient_source";
    /**
     * 家族史
     */
    public static final String DICT_KEY_FAMILY_HISTORY = DICT_KEY_PREFIX + "family_history";
    /**
     * 既往史
     */
    public static final String DICT_KEY_PAST_HISTORY = DICT_KEY_PREFIX + "past_history";
    /**
     * 患者标签
     */
    public static final String DICT_KEY_PATIENT_TAGS = DICT_KEY_PREFIX + "patient_tags";
    /**
     * 证件类型
     */
    public static final String DICT_KEY_DOCUMENT_TYPE = DICT_KEY_PREFIX + "document_type";
    /**
     * 与本人关系
     */
    public static final String DICT_KEY_PERSONAL_RELATIONSHIP = DICT_KEY_PREFIX + "personal_relationship";

    public static final String ERM_APP_CAPTCHA_CODE = "erm:app:captcha_code:";
    public static final String ERM_APP_LOGIN_REPEAT = "erm:app:login:repeat:";

    public static final String ERM_APP_LOGIN_SECRET_KEY = "erm:app:login_secret_key:";

}
