package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * AppUserPatients
 *
 * @author mtx
 * @date: 2024年6月11日 17:26:33
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("app用户患者关联表")
@TableName("erm_app_user_patients")
public class AppUserPatients extends EitcBaseEntity {

    @TableField(value = "app_user_id")
    @ApiModelProperty(value = "app用户id", name = "appUserId")
    private String appUserId;

    @TableField(value = "patient_id")
    @ApiModelProperty(value = "患者id", name = "patientId")
    private String patientId;

    @TableField(value = "relationship")
    @ApiModelProperty(value = "关系(朋友、父母)", name = "relationship")
    private String relationship;

    @TableField(value = "is_default")
    @ApiModelProperty(value = "是否默认（1默认，0不是默认）", name = "isDefault")
    private Integer isDefault;

}
