package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * BusinessDictData
 *
 * @author mtx
 * @date: 2024年6月11日 17:26:33
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("数据字典表")
@TableName("erm_business_dict_data")
public class BusinessDictData extends EitcBaseEntity {

    @TableField(value = "dict_sort")
    @ApiModelProperty(value = "字典排序", name = "dictSort")
    @NotNull(message = "字典排序不能为空")
    private Integer dictSort;

    @TableField(value = "dict_name")
    @ApiModelProperty(value = "字典名称", name = "dictName")
    @NotBlank(message = "字典名称不能为空")
    private String dictName;

    @TableField(value = "dict_value")
    @ApiModelProperty(value = "字典键值", name = "dictValue")
    @NotBlank(message = "字典键值不能为空")
    private String dictValue;

    @TableField(value = "dict_type")
    @ApiModelProperty(value = "字典类型", name = "dictType")
    @NotBlank(message = "字典类型不能为空")
    private String dictType;

    @TableField(value = "dict_status")
    @ApiModelProperty(value = "字典状态(0关闭，1开启)", name = "dictStatus")
    @NotNull(message = "字典状态不能为空")
    private Integer dictStatus;

}
