package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;




@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("聊天病历资料卡片")
@TableName("erm_chat_disease")
public class ChatDisease extends EitcBaseEntity {

    @TableField(value = "name")
    @ApiModelProperty(value = "问诊人姓名", name = "name")
    private String name;

    @TableField(value = "age")
    @ApiModelProperty(value = "问诊人年龄", name = "age")
    private Integer age;

    @TableField(value = "sex")
    @ApiModelProperty(value = "问诊人性别", name = "sex")
    private Integer sex;

    @TableField(value = "docker")
    @ApiModelProperty(value = "问诊医生", name = "docker")
    private String docker;

    @TableField(value = "resource")
    @ApiModelProperty(value = "病情资料", name = "resource")
    private String resource;

    @TableField(value = "patient_id")
    @ApiModelProperty(value = "病情资料", name = "patientId")
    private String patientId;

    @TableField(exist = false)
    @ApiModelProperty(value = "图片地址", name = "url")
    private String url;


}
