package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * CollectCostDetails
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("收费分类详情表")
@TableName("erm_collect_cost_details")
public class CollectCostDetails extends EitcBaseEntity {

    @TableField(value = "collect_cost_type_id")
    @ApiModelProperty(value = "收费类型ID", name = "collectCostTypeId")
    @NotBlank(message = "收费类型不能为空")
    private String collectCostTypeId;

    @TableField(value = "project_code")
    @ApiModelProperty(value = "项目编号", name = "projectCode")
    private String projectCode;

    @TableField(value = "project_name")
    @ApiModelProperty(value = "项目名称", name = "projectName")
    private String projectName;

    @TableField(value = "unit_price")
    @ApiModelProperty(value = "单价", name = "unitPrice")
    private BigDecimal unitPrice;

    @TableField(value = "unit")
    @ApiModelProperty(value = "单位", name = "unit")
    private String unit;

    @TableField(value = "status")
    @ApiModelProperty(value = "状态（1开启，0禁用）", name = "status")
    private Integer status;

    @TableField(value = "order_num")
    @ApiModelProperty(value = "排序", name = "orderNum")
    private Integer orderNum;

}
