package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * DiagnosisManage
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("诊断管理表")
@TableName("erm_diagnosis_manage")
public class DiagnosisManage extends EitcBaseEntity {

    @TableField(value = "diagnosis_code")
    @ApiModelProperty(value = "诊断编码", name = "diagnosisCode")
    @NotBlank(message = "诊断编码不能为空")
    @Size(max = 50, message = "诊断编码长度不能超过50个字符")
    private String diagnosisCode;

    @TableField(value = "diagnosis_name")
    @ApiModelProperty(value = "诊断名称", name = "diagnosisName")
    @NotBlank(message = "诊断名称不能为空")
    @Size(max = 50, message = "诊断名称长度不能超过50个字符")
    private String diagnosisName;

    @TableField(value = "diagnosis_name_pinyin_first_letter")
    @ApiModelProperty(value = "诊断名称首拼", name = "diagnosisNamePinyinFirstLetter")
    private String diagnosisNamePinyinFirstLetter;

    @TableField(value = "diagnosis_name_pinyin")
    @ApiModelProperty(value = "诊断名称拼音", name = "diagnosisNamePinyin")
    private String diagnosisNamePinyin;

}
