package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * DiagnosisType
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("诊断分类表")
@TableName("erm_diagnosis_type")
public class DiagnosisType extends EitcBaseEntity {

    @TableField(value = "parent_id")
    @ApiModelProperty(value = "父级id", name = "parentId")
    private String parentId;

    @TableField(value = "ancestors")
    @ApiModelProperty(value = "祖籍", name = "ancestors")
    private String ancestors;

    @TableField(value = "diagnosis_name")
    @ApiModelProperty(value = "诊断名称", name = "diagnosisName")
    @NotBlank(message = "诊断名称不能为空")
    @Size(max = 50, message = "诊断名称长度不能超过50个字符")
    private String diagnosisName;

    @TableField(value = "diagnosis_name_pinyin_first_letter")
    @ApiModelProperty(value = "诊断名称首拼", name = "diagnosisNamePinyinFirstLetter")
    private String diagnosisNamePinyinFirstLetter;

    @TableField(value = "diagnosis_name_pinyin")
    @ApiModelProperty(value = "诊断名称拼音", name = "diagnosisNamePinyin")
    private String diagnosisNamePinyin;

}
