package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * DiagnosisTypeOrderDoctor
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("诊断分类排序与医生的关联表")
@TableName("erm_diagnosis_type_order_doctor")
public class DiagnosisTypeOrderDoctor extends EitcBaseEntity {

    @TableField(value = "doctor_id")
    @ApiModelProperty(value = "医生id", name = "doctorId")
    private String doctorId;

    @TableField(value = "diagnosis_type_id")
    @ApiModelProperty(value = "诊断类型id", name = "diagnosisTypeId")
    private String diagnosisTypeId;

    @TableField(value = "order_num")
    @ApiModelProperty(value = "排序", name = "orderNum")
    private Integer orderNum;

    @TableField(value = "parent_id")
    @ApiModelProperty(value = "父级id", name = "parentId")
    private String parentId;

}
