package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * DiagnosisTypeTemplate
 *
 * @author mtx
 * @date: 2024/05/17 14:42
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("诊断分类模板表")
@TableName("erm_diagnosis_type_template")
public class DiagnosisTypeTemplate extends EitcBaseEntity {

    @TableField(value = "diagnosis_type_id")
    @ApiModelProperty(value = "诊断分类id", name = "diagnosisTypeId")
    @NotBlank(message = "诊断分类id不能为空")
    private String diagnosisTypeId;

    @TableField(value = "template_name")
    @ApiModelProperty(value = "模板名称", name = "templateName")
    @NotBlank(message = "模板名称不能为空")
    private String templateName;

    @TableField(value = "name_pinyin_first_letter")
    @ApiModelProperty(value = "诊断名称首拼", name = "namePinyinFirstLetter")
    private String namePinyinFirstLetter;

    @TableField(value = "name_pinyin")
    @ApiModelProperty(value = "诊断名称拼音", name = "namePinyin")
    private String namePinyin;

    @TableField(value = "template_desc")
    @ApiModelProperty(value = "模板描述", name = "templateDesc")
    private String templateDesc;

    @TableField(value = "diagnosis_manage_id")
    @ApiModelProperty(value = "诊断管理id", name = "diagnosisManageId")
    private String diagnosisManageId;

    @TableField(value = "diagnosis_manage_name")
    @ApiModelProperty(value = "诊断管理名称", name = "diagnosisManageName")
    private String diagnosisManageName;

    @TableField(value = "apply_dept")
    @ApiModelProperty(value = "适用科室", name = "applyDept")
    private String applyDept;

    @TableField(value = "visit_type")
    @ApiModelProperty(value = "就诊类型（1初诊，2复诊）", name = "visitType")
    private Integer visitType;

    @TableField(value = "enable_status")
    @ApiModelProperty(value = "启用状态（1启用，0未启用）", name = "enableStatus")
    private Integer enableStatus;

    @TableField(value = "chief_complaint_content")
    @ApiModelProperty(value = "主诉内容", name = "chiefComplaintContent")
    private String chiefComplaintContent;

    @TableField(value = "chief_complaint_option")
    @ApiModelProperty(value = "主诉选项", name = "chiefComplaintOption")
    private String chiefComplaintOption;

    @TableField(value = "present_illness_content")
    @ApiModelProperty(value = "现病史内容", name = "presentIllnessContent")
    private String presentIllnessContent;

    @TableField(value = "present_illness_option")
    @ApiModelProperty(value = "现病史选项", name = "presentIllnessOption")
    private String presentIllnessOption;

    @TableField(value = "inspect_content")
    @ApiModelProperty(value = "检查内容", name = "inspectContent")
    private String inspectContent;

    @TableField(value = "inspect_option")
    @ApiModelProperty(value = "检查选项", name = "inspectOption")
    private String inspectOption;

    @TableField(value = "treatment_planning_content")
    @ApiModelProperty(value = "治疗计划内容", name = "treatmentPlanningContent")
    private String treatmentPlanningContent;

    @TableField(value = "treatment_planning_option")
    @ApiModelProperty(value = "治疗计划选项", name = "treatmentPlanningOption")
    private String treatmentPlanningOption;

    @TableField(value = "dispose_content")
    @ApiModelProperty(value = "处置内容", name = "disposeContent")
    private String disposeContent;

    @TableField(value = "dispose_option")
    @ApiModelProperty(value = "处置选项", name = "disposeOption")
    private String disposeOption;

    @TableField(value = "note_content")
    @ApiModelProperty(value = "便签", name = "note_content")
    private String noteContent;

    @TableField(value = "note_option")
    @ApiModelProperty(value = "便签", name = "noteOption")
    private String noteOption;

}
