package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * MedicalRecord
 *
 * @author mtx
 * @date: 2024/05/17 14:42
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("病例表")
@TableName("erm_medical_record")
public class MedicalRecord extends EitcBaseEntity {

    @TableField(value = "patient_id")
    @ApiModelProperty(value = "患者id", name = "patientId")
    private String patientId;

    @TableField(value = "status")
    @ApiModelProperty(value = "状态（1未完成，2已完成治疗）", name = "status")
    private Integer status;

    @TableField(value = "visit_type")
    @ApiModelProperty(value = "就诊类型（1初诊，2复诊）", name = "visitType")
    private Integer visitType;

    @TableField(value = "attending_doctor_id")
    @ApiModelProperty(value = "主治医生", name = "attendingDoctorId")
    private Long attendingDoctorId;

    @TableField(value = "attending_doctor_name")
    @ApiModelProperty(value = "主治医生", name = "attendingDoctorName")
    private String attendingDoctorName;

    @TableField(value = "outpatient_service")
    @ApiModelProperty(value = "预约门诊", name = "outpatientService")
    private String outpatientService;

    @TableField(value = "department")
    @ApiModelProperty(value = "预约科室", name = "department")
    private String department;

    @TableField(value = "cost")
    @ApiModelProperty(value = "费用", name = "cost")
    private BigDecimal cost;

    @TableField(value = "chief_complaint_content")
    @ApiModelProperty(value = "主诉内容", name = "chiefComplaintContent")
    private String chiefComplaintContent;

    @TableField(value = "present_illness_content")
    @ApiModelProperty(value = "现病史内容", name = "presentIllnessContent")
    private String presentIllnessContent;

    @TableField(value = "inspect_content")
    @ApiModelProperty(value = "检查内容", name = "inspectContent")
    private String inspectContent;

    @TableField(value = "treatment_planning_content")
    @ApiModelProperty(value = "治疗计划内容", name = "treatmentPlanningContent")
    private String treatmentPlanningContent;

    @TableField(value = "dispose_content")
    @ApiModelProperty(value = "处置内容", name = "disposeContent")
    private String disposeContent;

    @TableField(value = "note_content")
    @ApiModelProperty(value = "便签", name = "noteContent")
    private String noteContent;

    @TableField(value = "diagnosis_content")
    @ApiModelProperty(value = "诊断", name = "diagnosisContent")
    private String diagnosisContent;

    @TableField(value = "save_status")
    @ApiModelProperty(value = "保存状态（1保存，2提交））", name = "saveStatus")
    private Integer saveStatus;

}
