package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * MedicalRecordDetails
 *
 * @author mtx
 * @date: 2024/05/17 14:44
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("病例详情表")
@TableName("erm_medical_record_details")
public class MedicalRecordDetails extends EitcBaseEntity {

    @TableField(value = "medical_record_id")
    @ApiModelProperty(value = "病历id", name = "medicalRecordId")
    private String medicalRecordId;

    @TableField(value = "tooth_position")
    @ApiModelProperty(value = "牙位", name = "toothPosition")
    private String toothPosition;

    @TableField(value = "tooth_status")
    @ApiModelProperty(value = "牙位状态（1未完成，2已完成治疗）", name = "toothStatus")
    private Integer toothStatus;

    @TableField(value = "diagnosis_manage_id")
    @ApiModelProperty(value = "诊断管理id", name = "diagnosisManageId")
    private String diagnosisManageId;

    @TableField(value = "diagnosis_type_template_id")
    @ApiModelProperty(value = "病例模板id", name = "diagnosisTypeTemplateId")
    private String diagnosisTypeTemplateId;

}
