package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * ProtocolTemplate
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("协议模板表")
@TableName("erm_protocol_template")
public class ProtocolTemplate extends EitcBaseEntity {

    @TableField(value = "protocol_type")
    @ApiModelProperty(value = "协议类型", name = "protocolType")
    private String protocolType;

    @TableField(value = "protocol_template_name")
    @ApiModelProperty(value = "协议模板名称", name = "protocolTemplateName")
    @NotBlank(message = "协议模板名称不能为空")
    private String protocolTemplateName;

    @TableField(value = "protocol_template_content")
    @ApiModelProperty(value = "协议模板内容", name = "protocolTemplateContent")
    private String protocolTemplateContent;

    @TableField(value = "status")
    @ApiModelProperty(value = "状态（1开启，0禁用）", name = "status")
    private Integer status;

}
