package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * ProtocolType
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("协议类型配置表")
@TableName("erm_protocol_type")
public class ProtocolType extends EitcBaseEntity {

    @TableField(value = "protocol_name")
    @ApiModelProperty(value = "协议名称", name = "protocolName")
    @NotBlank(message = "协议名称不能为空")
    private String protocolName;

    @TableField(value = "order_num")
    @ApiModelProperty(value = "排序", name = "orderNum")
    private Integer orderNum;

}
