package com.eitc.patient.dto;

import com.alibaba.fastjson2.JSONObject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * DiagnosisTypeTemplateVO
 *
 * @author mtx
 * @date: 2024/05/30 11:06
 */
@Data
@ApiModel("诊断分类模板表")
public class DiagnosisTypeTemplateDto {

    @ApiModelProperty(value = "患者id", name = "patientId")
    private String patientId;

    @ApiModelProperty(value = "患者过敏史", name = "patientAllergyHistory")
    private List<String> patientAllergyHistory;

    @ApiModelProperty(value = "医生过敏史", name = "doctorAllergyHistory")
    private List<String> doctorAllergyHistory;

    @ApiModelProperty(value = "患者既往史", name = "patientPastHistory")
    private List<String> patientPastHistory;

    @ApiModelProperty(value = "医生既往史", name = "doctorPastHistory")
    private List<String> doctorPastHistory;

    @ApiModelProperty(value = "患者家族史", name = "patientFamilyHistory")
    private List<String> patientFamilyHistory;

    @ApiModelProperty(value = "医生家族史", name = "doctorFamilyHistory")
    private List<String> doctorFamilyHistory;

    @ApiModelProperty(value = "诊断-主诊断", name = "mainDiagnosis")
    private String mainDiagnosis;

    @ApiModelProperty(value = "诊断-主诊断id", name = "mainDiagnosisId")
    private String mainDiagnosisId;

    @ApiModelProperty(value = "诊断-其他诊断诊断", name = "otherDiagnosis")
    private List<String> otherDiagnosis;

    @ApiModelProperty(value = "主诉内容", name = "chiefComplaintContent")
    private String chiefComplaintContent;

    @ApiModelProperty(value = "主诉选项", name = "chiefComplaintOption")
    private JSONObject chiefComplaintOption;

    @ApiModelProperty(value = "现病史内容", name = "presentIllnessContent")
    private String presentIllnessContent;

    @ApiModelProperty(value = "现病史选项", name = "presentIllnessOption")
    private JSONObject presentIllnessOption;

    @ApiModelProperty(value = "检查内容", name = "inspectContent")
    private String inspectContent;

    @ApiModelProperty(value = "检查选项", name = "inspectOption")
    private JSONObject inspectOption;

    @ApiModelProperty(value = "治疗计划内容", name = "treatmentPlanningContent")
    private String treatmentPlanningContent;

    @ApiModelProperty(value = "治疗计划选项", name = "treatmentPlanningOption")
    private JSONObject treatmentPlanningOption;

    @ApiModelProperty(value = "处置内容", name = "disposeContent")
    private String disposeContent;

    @ApiModelProperty(value = "处置选项", name = "disposeOption")
    private JSONObject disposeOption;

    @ApiModelProperty(value = "便签", name = "noteContent")
    private String noteContent;

    @ApiModelProperty(value = "便签", name = "noteOption")
    private JSONObject noteOption;

    private String id;

}
