package com.eitc.patient.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * MedicalRecordListDto
 *
 * @author mtx
 * @date: 2024/07/17 17:04
 */
@Data
@ApiModel("病例表")
public class MedicalRecordListDto {

    private String id;

    @ApiModelProperty(value = "患者姓名", name = "patientName")
    private String patientName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", hidden = true)
    private Date createDate;

    @ApiModelProperty(value = "就诊类型（1初诊，2复诊）", name = "visitType")
    private Integer visitType;

    @ApiModelProperty(value = "预约科室", name = "department")
    private String department;

    @ApiModelProperty(value = "主治医生", name = "attendingDoctorName")
    private String attendingDoctorName;

    @ApiModelProperty(value = "牙位", name = "toothPosition")
    private String toothPosition;

    @ApiModelProperty(value = "内容信息", name = "contentInfo")
    private String contentInfo;
}
