package com.eitc.patient.excel;

import com.eitc.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * DiagnosisTypeTemplateExcel
 *
 * @author mtx
 * @date: 2024/05/20 15:34
 */
@Data
@ApiModel("诊断分类模板导入")
public class DiagnosisTypeTemplateExcel {

    @Excel(name = "一级分类", type = Excel.Type.ALL)
    @ApiModelProperty(value = "一级分类", name = "classifyOne")
    private String classifyOne;

    @Excel(name = "二级分类", type = Excel.Type.ALL)
    @ApiModelProperty(value = "二级分类", name = "classifyTwo")
    private String classifyTwo;

    @Excel(name = "三级分类", type = Excel.Type.ALL)
    @ApiModelProperty(value = "三级分类", name = "classifyThree")
    private String classifyThree;

    @Excel(name = "四级分类", type = Excel.Type.ALL)
    @ApiModelProperty(value = "四级分类", name = "classifyFour")
    private String classifyFour;

    @Excel(name = "五级分类", type = Excel.Type.ALL)
    @ApiModelProperty(value = "五级分类", name = "classifyFive")
    private String classifyFive;

    @Excel(name = "六级分类", type = Excel.Type.ALL)
    @ApiModelProperty(value = "六级分类", name = "classifySix")
    private String classifySix;

    @Excel(name = "模板名称", type = Excel.Type.ALL)
    @ApiModelProperty(value = "模板名称", name = "templateName")
    private String templateName;

    @Excel(name = "诊断名称", type = Excel.Type.ALL)
    @ApiModelProperty(value = "诊断管理名称", name = "diagnosisManageName")
    private String diagnosisManageName;

    @Excel(name = "模板描述", type = Excel.Type.ALL)
    @ApiModelProperty(value = "模板描述", name = "templateDesc")
    private String templateDesc;

    @Excel(name = "适用科室", type = Excel.Type.ALL)
    @ApiModelProperty(value = "适用科室", name = "applyDept")
    private String applyDept;

    @Excel(name = "就诊类型", type = Excel.Type.ALL)
    @ApiModelProperty(value = "就诊类型（1初诊，2复诊）", name = "visitType")
    private String visitType;

    @Excel(name = "主诉", type = Excel.Type.ALL)
    @ApiModelProperty(value = "主诉内容", name = "chiefComplaintContent")
    private String chiefComplaintContent;

    @Excel(name = "现病史", type = Excel.Type.ALL)
    @ApiModelProperty(value = "现病史内容", name = "presentIllnessContent")
    private String presentIllnessContent;

    @Excel(name = "检查", type = Excel.Type.ALL)
    @ApiModelProperty(value = "检查内容", name = "inspectContent")
    private String inspectContent;

    @Excel(name = "治疗计划", type = Excel.Type.ALL)
    @ApiModelProperty(value = "治疗计划内容", name = "treatmentPlanningContent")
    private String treatmentPlanningContent;

    @Excel(name = "处置", type = Excel.Type.ALL)
    @ApiModelProperty(value = "处置内容", name = "disposeContent")
    private String disposeContent;

    @Excel(name = "便签", type = Excel.Type.ALL)
    @ApiModelProperty(value = "便签", name = "noteContent")
    private String noteContent;

    @Excel(name = "返回信息", type = Excel.Type.EXPORT)
    @ApiModelProperty(value = "返回信息", name = "msg")
    private String msg;

}
