package com.eitc.patient.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.eitc.patient.domain.MedicalRecord;
import com.eitc.patient.dto.MedicalRecordHistoryDto;
import com.eitc.patient.dto.MedicalRecordListDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * MedicalRecordMapper
 *
 * @author mtx
 * @date: 2024/05/17 15:32
 */
@Mapper
public interface MedicalRecordMapper extends BaseMapper<MedicalRecord> {

    /**
     * 病历列表
     *
     * @param searchParam 病历信息
     * @return 病历列表
     * @author mtx
     * @date: 2024/5/23 9:17
     */
    List<MedicalRecordListDto> medicalRecordList(String searchParam);


    /**
     * 统计诊断分类
     *
     * @return 统计结果
     * @author mtx
     * @date: 2024/6/5 9:10
     */
    List<Map<String, String>> countByDiagnosisTypeName();

    /**
     * 根据牙齿位置检查访问类型
     *
     * @return 返回访问类型，具体类型根据业务逻辑确定
     */
    List<MedicalRecord> findListByToothPosition(MedicalRecordHistoryDto dto);

}
