package com.eitc.patient.param;

import com.eitc.patient.vo.MedicalRecordToothVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * MedicalRecordSaveParam
 *
 * @author mtx
 * @date: 2024/08/22 16:34
 */
@Data
@ApiModel("病例保存表")
public class MedicalRecordSaveParam {

    private String id;

    @ApiModelProperty(value = "医生过敏史", name = "doctorAllergyHistory")
    private List<String> doctorAllergyHistory;

    @ApiModelProperty(value = "医生既往史", name = "doctorPastHistory")
    private List<String> doctorPastHistory;

    @ApiModelProperty(value = "医生家族史", name = "doctorFamilyHistory")
    private List<String> doctorFamilyHistory;

    @ApiModelProperty(value = "患者id", name = "patientId")
    private String patientId;

    @ApiModelProperty(value = "预约id", name = "appointmentId")
    private String appointmentId;

    @ApiModelProperty(value = "就诊类型（1初诊，2复诊）", name = "visitType")
    private Integer visitType;

    @ApiModelProperty(value = "主治医生", name = "attendingDoctorId")
    private Long attendingDoctorId;

    @ApiModelProperty(value = "预约门诊", name = "outpatientService")
    private String outpatientService;

    @ApiModelProperty(value = "预约科室", name = "department")
    private String department;

    @ApiModelProperty(value = "主诉内容", name = "chiefComplaintContent")
    private String chiefComplaintContent;

    @ApiModelProperty(value = "现病史内容", name = "presentIllnessContent")
    private String presentIllnessContent;

    @ApiModelProperty(value = "检查内容", name = "inspectContent")
    private String inspectContent;

    @ApiModelProperty(value = "治疗计划内容", name = "treatmentPlanningContent")
    private String treatmentPlanningContent;

    @ApiModelProperty(value = "处置内容", name = "disposeContent")
    private String disposeContent;

    @ApiModelProperty(value = "便签", name = "noteContent")
    private String noteContent;

    @ApiModelProperty(value = "诊断", name = "diagnosisContent")
    private String diagnosisContent;

    @ApiModelProperty(value = "保存状态（1保存，2提交）", name = "saveStatus")
    private Integer saveStatus;


    List<MedicalRecordToothVO> toothList;

}
