package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.common.core.domain.AjaxResult;
import com.eitc.patient.domain.ClinicInfo;
import com.eitc.patient.vo.ClinicInfoVO;
import org.springframework.stereotype.Service;

/**
 * IClinicInfoService
 *
 * @author mtx
 * @date: 2024/05/17 15:36
 */
@Service
public interface IClinicInfoService extends IService<ClinicInfo> {

    /**
     * 获取诊所信息
     *
     * @return 诊所信息
     */
    ClinicInfoVO findClinicInfo();

    /**
     * 添加或修改
     *
     * @param clinicInfo 信息
     * @return 返回值
     */
    AjaxResult addOrUpdate(ClinicInfoVO clinicInfo);
}
