package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.patient.domain.CollectCostPatients;
import com.eitc.patient.domain.MedicalRecordDetails;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

/**
 * ICollectCostPatientsService
 *
 * @author mtx
 * @date: 2024/05/17 15:36
 */
@Service
public interface ICollectCostPatientsService extends IService<CollectCostPatients> {

    /**
     * 保存收费信息到病历
     * @param recordDetailsList 参数
     * @param patientId 患者id
     */
    BigDecimal saveCollectCostPatientsToMedicalRecord(List<MedicalRecordDetails> recordDetailsList, String patientId);

    /**
     * 收费
     * @param entry 参数
     */
    void collectCost(CollectCostPatients entry);
}
