package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.patient.domain.DiagnosisManage;
import com.eitc.patient.excel.DiagnosisManageTemplateExcel;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * IDiagnosisManageService
 *
 * @author mtx
 * @date: 2024/05/17 15:36
 */
@Service
public interface IDiagnosisManageService extends IService<DiagnosisManage> {

    /**
     * 导入模板数据
     *
     * @param list 待导入的诊断管理模板Excel列表
     * @return 导入失败的诊断管理模板Excel列表，包含错误信息
     */
    List<DiagnosisManageTemplateExcel> importTemplate(List<DiagnosisManageTemplateExcel> list);
}
