package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.patient.domain.DiagnosisTypeTemplate;
import com.eitc.patient.excel.DiagnosisTypeTemplateExcel;
import com.eitc.patient.vo.DiagnosisTypeTemplateSaveVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * DiagnosisTypeTemplateService
 *
 * @author mtx
 * @date: 2024/05/17 15:36
 */
@Service
public interface IDiagnosisTypeTemplateService extends IService<DiagnosisTypeTemplate> {


    /**
     * 根据提供的模板示例字符串，查找并生成模板选项的JSON表示
     *
     * @param jsonContent 要获取json串的示例
     * @return json串
     * @author mtx
     * @date: 2024/5/20 14:50
     */
    String findTemplateInfo(String jsonContent);

    /**
     * 导入诊断分类模板
     *
     * @param list            数据
     * @param diagnosisTypeId 诊断分类id
     * @return 错误信息
     * @author mtx
     * @date: 2024/5/20 15:27
     */
    List<DiagnosisTypeTemplateExcel> importTemplate(List<DiagnosisTypeTemplateExcel> list, String diagnosisTypeId);

    /**
     * 新增诊断模板
     * @param entry 参数
     * @author mtx
     * @date: 2024/6/7 14:06
     */
    void add(DiagnosisTypeTemplateSaveVO entry);

    /**
     * 修改诊断模板
     * @param entry 参数
     * @author mtx
     * @date: 2024/6/7 14:06
     */
    void edit(DiagnosisTypeTemplateSaveVO entry);
}
