package com.eitc.patient.service;

import com.eitc.patient.vo.DoctorVO;
import org.springframework.stereotype.Service;

import java.text.ParseException;
import java.util.List;

/**
 * IDoctorService
 *
 * @author mtx
 * @date: 2024/06/13 14:58
 */
@Service
public interface IDoctorService {

    /**
     * 医生列表
     * @return 返回结果
     * @author mtx
     * @date: 2024/6/13 15:01
     */
    List<DoctorVO> list(String selectDateStr) throws ParseException;

    /**
     * 根据医生id查询医生信息
     * @param doctorId 医生id
     * @return 返回结果
     * @author mtx
     * @date: 2024/6/13 15:01
     */
    DoctorVO getById(Long doctorId);
}
