package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.patient.domain.NoticeManage;
import org.springframework.stereotype.Service;

/**
 * INoticeManageService
 *
 * @author mtx
 * @date: 2024/05/17 15:36
 */
@Service
public interface INoticeManageService extends IService<NoticeManage> {

    /**
     * 检查通知的显示状态。
     * 根据当前时间与通知的开始和结束时间进行比较，确定通知的显示状态。
     * 返回值为：
     * 1：表示通知尚未开始。
     * 2：表示通知正在进行中。
     * 3：表示通知已经结束。
     * 如果无法确定通知状态，则返回null。
     *
     * @param noticeManage 包含通知开始和结束时间的对象。
     * @return 通知的显示状态码。
     */
    Integer checkDisplayStatus(NoticeManage noticeManage);
}
