package com.eitc.patient.tree;

import com.eitc.patient.domain.DiagnosisType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * DiagnosisTypeTree
 *
 * @author mtx
 * @date: 2024/05/17 17:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("诊断分类表")
public class DiagnosisTypeTree extends DiagnosisType {

    private String diagnosisManageId;

    @ApiModelProperty(value = "模板描述", name = "templateDesc")
    private String templateDesc;

    @ApiModelProperty(value = "诊断名称首拼", name = "diagnosisNamePinyinFirstLetter")
    private String diagnosisNamePinyinFirstLetter;

    @ApiModelProperty(value = "诊断名称拼音", name = "diagnosisNamePinyin")
    private String diagnosisNamePinyin;

    @ApiModelProperty(value = "就诊类型（1初诊，2复诊）", name = "visitType")
    private Integer visitType;

    @ApiModelProperty(value = "子集", name = "childrenList")
    private List<DiagnosisTypeTree> childrenList;

}
