package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * AppUserPatientVO
 *
 * @author mtx
 * @date: 2024/06/14 11:28
 */
@Data
@ApiModel("添加就诊人vo")
public class AppUserPatientVO {

    @ApiModelProperty(value = "患者id", name = "userId")
    private String patientId;

    @ApiModelProperty(value = "关系", name = "userRelationship")
    @NotBlank(message = "关系不能为空")
    private String userRelationship;

    @ApiModelProperty(value = "患者姓名", name = "patientName")
    @NotBlank(message = "患者姓名不能为空")
    private String patientName;

    @ApiModelProperty(value = "身份证号", name = "identificationCard")
    @NotBlank(message = "身份证号不能为空")
    private String identificationCard;

    @ApiModelProperty(value = "证件类型", name = "documentType")
    @NotNull(message = "证件类型不能为空")
    private Integer documentType;

    @ApiModelProperty(value = "过敏史", name = "allergyHistory")
    private String allergyHistory;

    @ApiModelProperty(value = "既往史", name = "pastHistory")
    private String pastHistory;

    @ApiModelProperty(value = "家族史", name = "familyHistory")
    private String familyHistory;

    @ApiModelProperty(value = "患者手机号", name = "patientPhone")
    @NotBlank(message = "患者手机号不能为空")
    private String patientPhone;

    @ApiModelProperty(value = "家庭住址", name = "homeAddress")
    private String homeAddress;

    @ApiModelProperty(value = "是否默认（1默认，0不是默认）", name = "isDefault")
    private Integer isDefault;

}
