package com.eitc.patient.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * DiagnosisTypeTemplateVO
 *
 * @author mtx
 * @date: 2024/05/30 11:06
 */
@Data
@ApiModel("诊断分类模板保存参数")
public class DiagnosisTypeTemplateSaveVO {

    private String id;

    @NotBlank(message = "诊断分类id不能为空")
    @ApiModelProperty(value = "诊断分类id", name = "diagnosisTypeId")
    private String diagnosisTypeId;

    @ApiModelProperty(value = "模板名称", name = "templateName")
    @NotBlank(message = "模板名称不能为空")
    private String templateName;

    @ApiModelProperty(value = "模板描述", name = "templateDesc")
    @NotBlank(message = "模板描述不能为空")
    private String templateDesc;

    @ApiModelProperty(value = "诊断管理id", name = "diagnosisManageId")
    @NotBlank(message = "诊断管理id不能为空")
    private String diagnosisManageId;

    @ApiModelProperty(value = "适用科室", name = "applyDept")
    @NotNull(message = "适用科室不能为空")
    private List<Long> applyDeptList;

    @ApiModelProperty(value = "就诊类型（1初诊，2复诊）", name = "visitType")
    @NotNull(message = "就诊类型不能为空")
    private Integer visitType;

    @ApiModelProperty(value = "启用状态（1启用，0未启用）", name = "enableStatus")
    @NotNull(message = "启用状态不能为空")
    private Integer enableStatus;

    @ApiModelProperty(value = "主诉内容", name = "chiefComplaintContent")
    @NotBlank(message = "主诉内容不能为空")
    private String chiefComplaintContent;

    @ApiModelProperty(value = "现病史内容", name = "presentIllnessContent")
    private String presentIllnessContent;

    @ApiModelProperty(value = "检查内容", name = "inspectContent")
    @NotBlank(message = "检查内容不能为空")
    private String inspectContent;

    @ApiModelProperty(value = "治疗计划内容", name = "treatmentPlanningContent")
    @NotBlank(message = "治疗计划内容不能为空")
    private String treatmentPlanningContent;

    @ApiModelProperty(value = "处置内容", name = "disposeContent")
    @NotBlank(message = "处置内容不能为空")
    private String disposeContent;

    @ApiModelProperty(value = "便签", name = "noteContent")
    private String noteContent;

}
