package com.eitc.patient.vo;

import com.eitc.patient.domain.MedicalRecord;
import com.eitc.patient.domain.MedicalRecordDetails;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * MedicalRecordListDto
 *
 * @author mtx
 * @date: 2024/07/17 17:04
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("病例表")
public class MedicalRecordListVO extends MedicalRecord {

    @ApiModelProperty(value = "患者过敏史", name = "patientAllergyHistory")
    private List<String> patientAllergyHistory;

    @ApiModelProperty(value = "医生过敏史", name = "doctorAllergyHistory")
    private List<String> doctorAllergyHistory;

    @ApiModelProperty(value = "患者既往史", name = "patientPastHistory")
    private List<String> patientPastHistory;

    @ApiModelProperty(value = "医生既往史", name = "doctorPastHistory")
    private List<String> doctorPastHistory;

    @ApiModelProperty(value = "患者家族史", name = "patientFamilyHistory")
    private List<String> patientFamilyHistory;

    @ApiModelProperty(value = "医生家族史", name = "doctorFamilyHistory")
    private List<String> doctorFamilyHistory;


    @ApiModelProperty(value = "病例牙位列表", name = "recordDetailsList")
    private List<MedicalRecordDetails> recordDetailsList;
}
