package com.eitc.patient.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * MedicalRecordVO
 *
 * @author mtx
 * @date: 2024/05/17 14:42
 */
@Data
@ApiModel("打印病例")
public class MedicalRecordToPdf {

    @ApiModelProperty(value = "患者姓名", name = "patientName")
    private String patientName;

    @ApiModelProperty(value = "性别（1男，2女）", name = "sex")
    private Integer sex;

    @ApiModelProperty(value = "年龄", name = "age")
    private Integer age;

    @ApiModelProperty(value = "出生日期", name = "birthday")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    @ApiModelProperty(value = "民族", name = "nationality")
    private String nationality;

    @ApiModelProperty(value = "婚姻", name = "marriage")
    private Integer marriage;

    @ApiModelProperty(value = "患者手机号", name = "patientPhone")
    private String patientPhone;

    @ApiModelProperty(value = "工作单位", name = "workUnit")
    private String workUnit;

    @ApiModelProperty(value = "职业", name = "occupation")
    private String occupation;

    @ApiModelProperty(value = "家庭住址", name = "homeAddress")
    private String homeAddress;

    @ApiModelProperty(value = "联系人电话", name = "linkPhone")
    private String linkPhone;

    @ApiModelProperty(value = "与患者关系", name = "personalRelationship")
    private String personalRelationship;

    @ApiModelProperty(value = "公司名称", name = "companyName")
    private String companyName;

    private String content;


    @ApiModelProperty(value = "主诉内容", name = "chiefComplaintContent")
    private String chiefComplaintContent;

    @ApiModelProperty(value = "现病史内容", name = "presentIllnessContent")
    private String presentIllnessContent;

    @ApiModelProperty(value = "检查内容", name = "inspectContent")
    private String inspectContent;

    @ApiModelProperty(value = "治疗计划内容", name = "treatmentPlanningContent")
    private String treatmentPlanningContent;

    @ApiModelProperty(value = "处置内容", name = "disposeContent")
    private String disposeContent;

    @ApiModelProperty(value = "便签", name = "noteContent")
    private String noteContent;

    @ApiModelProperty(value = "诊断", name = "diagnosisContent")
    private String diagnosisContent;


    @ApiModelProperty(value = "过敏史", name = "allergyHistory")
    private String allergyHistory;

    @ApiModelProperty(value = "既往史", name = "pastHistory")
    private String pastHistory;

    @ApiModelProperty(value = "家族史", name = "familyHistory")
    private String familyHistory;

}
