package com.eitc.patient.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 患者回访对象 erm_patient_follow_up
 *
 * @author eitc
 * @date 2024-07-05
 */
@Data
@ApiModel("患者回访对象")
public class PatientFollowUpVO {

    @ApiModelProperty(value = "就诊表外键", name = "patientAppointmentId")
    private String patientAppointmentId;

    @ApiModelProperty(value = "患者id", name = "patientId")
    private String patientId;

    @ApiModelProperty(value = "患者姓名", name = "patientName")
    private String patientName;

    @ApiModelProperty(value = "用户编号", name = "medicalRecordNum")
    private String medicalRecordNum;

    @ApiModelProperty(value = "性别（1男，2女）", name = "sex")
    private Integer sex;

    @ApiModelProperty(value = "患者手机号", name = "patientPhone")
    private String patientPhone;

    @ApiModelProperty(value = "年龄", name = "age")
    private Integer age;

    @ApiModelProperty(value = "出生日期", name = "birthday")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    @ApiModelProperty(value = "就诊时间", name = "appointmentStartTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date appointmentStartTime;

    @ApiModelProperty(value = "回访时间", name = "followUpTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date followUpTime;

    @ApiModelProperty(value = "回访人：默认当前账号姓名，可修改")
    private String followUpUserId;

    @ApiModelProperty(value = "回访人", name = "followUpUser")
    private String followUpUser;

    @ApiModelProperty(value = "回访状态", name = "followUpStatus")
    private Integer followUpStatus;

    @ApiModelProperty(value = "回访类型", name = "followUpType")
    private Integer followUpType;

    @ApiModelProperty(value = "回访内容", name = "followUpContent")
    private String followUpContent;

    @ApiModelProperty(value = "回访结果", name = "followUpResult")
    private String followUpResult;

    @ApiModelProperty(value = "身份证号", name = "identificationCard")
    private String identificationCard;

}
