package com.eitc.patient.vo;

import com.eitc.patient.domain.Patient;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * Patient
 *
 * @author mtx
 * @date: 2024/05/17 14:44
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("患者表")
public class PatientVO extends Patient {

    @ApiModelProperty(value = "过敏史", name = "allergyHistory")
    private String allergyHistory;

    @ApiModelProperty(value = "既往史", name = "pastHistory")
    private String pastHistory;

    @ApiModelProperty(value = "家族史", name = "familyHistory")
    private String familyHistory;

    @ApiModelProperty(value = "就诊时间", name = "visitTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date visitTime;

    @ApiModelProperty(value = "预约人", name = "appointmentPerson")
    private String appointmentPerson;

    @ApiModelProperty(value = "出诊医生", name = "visitingPhysician")
    private String visitingPhysician;

    private String visitingPhysicianSet;

    private Integer age;

}
