package com.eitc.patient.controller;

import com.eitc.common.core.controller.BaseController;
import com.eitc.common.core.domain.AjaxResult;
import com.eitc.patient.service.IDoctorService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * DoctorController
 *
 * @author mtx
 * @date: 2024/06/13 14:53
 */
@Api(tags = "医生")
@RestController
@RequestMapping("/doctor")
public class DoctorController extends BaseController {

    @Resource
    private IDoctorService doctorService;

    @GetMapping("/list")
    @ApiOperation("出诊医生列表")
    public AjaxResult list(@RequestParam(name = "selectDateStr", required = false) String selectDateStr) throws ParseException {
        return success(doctorService.list(selectDateStr));
    }


}
