/*
 Navicat Premium Data Transfer

 Source Server         : localhost_3306
 Source Server Type    : MySQL
 Source Server Version : 80026 (8.0.26)
 Source Host           : localhost:3306
 Source Schema         : eitc_bak

 Target Server Type    : MySQL
 Target Server Version : 80026 (8.0.26)
 File Encoding         : 65001

 Date: 09/08/2024 14:59:30
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for erm_app_user
-- ----------------------------
DROP TABLE IF EXISTS `erm_app_user`;
CREATE TABLE `erm_app_user`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `phone_number` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '手机号码',
  `password` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '密码',
  `avatar` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `identification_card` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '身份证号',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `phone_number_idx`(`is_del` ASC, `phone_number` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'APP端-用户表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_app_user
-- ----------------------------

-- ----------------------------
-- Table structure for erm_app_user_patients
-- ----------------------------
DROP TABLE IF EXISTS `erm_app_user_patients`;
CREATE TABLE `erm_app_user_patients`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `app_user_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'app端用户id',
  `patient_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '患者id',
  `relationship` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '关系(朋友、父母)',
  `is_default` int NULL DEFAULT 0 COMMENT '是否默认（1默认，0不是默认）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '患者与app用户关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_app_user_patients
-- ----------------------------

-- ----------------------------
-- Table structure for erm_appointment_project
-- ----------------------------
DROP TABLE IF EXISTS `erm_appointment_project`;
CREATE TABLE `erm_appointment_project`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `parent_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '父级id',
  `appointment_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '项目名称',
  `type` int NOT NULL COMMENT '类型(1目录，2项目)',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `idx_appointment_name`(`parent_id` ASC, `appointment_name` ASC, `is_del` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '预约项目' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_appointment_project
-- ----------------------------

-- ----------------------------
-- Table structure for erm_business_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `erm_business_dict_data`;
CREATE TABLE `erm_business_dict_data`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id',
  `dict_sort` int NULL DEFAULT 0 COMMENT '字典排序',
  `dict_status` int NULL DEFAULT NULL COMMENT '字典状态(0关闭，1开启)',
  `dict_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `dict_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典名称',
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `id_idx`(`dict_value` ASC, `dict_type` ASC, `dict_name` ASC, `is_del` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_business_dict_data
-- ----------------------------
INSERT INTO `erm_business_dict_data` VALUES ('118', 0, 1, '1', 'erm_marriage', '未婚', 0, '2024-06-24 15:42:11', '1', NULL, NULL, '000000');
INSERT INTO `erm_business_dict_data` VALUES ('119', 1, 1, '2', 'erm_marriage', '已婚', 0, '2024-06-24 15:42:11', '1', NULL, NULL, '000000');
INSERT INTO `erm_business_dict_data` VALUES ('120', 2, 1, '3', 'erm_marriage', '丧偶', 0, '2024-06-24 15:42:11', '1', NULL, NULL, '000000');
INSERT INTO `erm_business_dict_data` VALUES ('121', 3, 1, '4', 'erm_marriage', '离婚', 0, '2024-06-24 15:42:11', '1', NULL, NULL, '000000');
INSERT INTO `erm_business_dict_data` VALUES ('122', 0, 1, '1', 'erm_patient_source', '朋友介绍', 0, '2024-06-24 15:42:11', '1', NULL, NULL, '000000');
INSERT INTO `erm_business_dict_data` VALUES ('123', 1, 1, '2', 'erm_patient_source', '自进门店', 0, '2024-06-24 15:42:11', '1', NULL, NULL, '000000');
INSERT INTO `erm_business_dict_data` VALUES ('135', 0, 1, '本人', 'erm_personal_relationship', '本人', 0, '2024-06-24 00:00:00', '1', '2024-06-25 11:33:44', 'admin', '000000');
INSERT INTO `erm_business_dict_data` VALUES ('136', 1, 1, '子女', 'erm_personal_relationship', '子女', 0, '2024-06-24 15:42:11', '1', NULL, NULL, '000000');
INSERT INTO `erm_business_dict_data` VALUES ('137', 2, 1, '夫妻', 'erm_personal_relationship', '夫妻', 0, '2024-06-24 15:42:11', '1', NULL, NULL, '000000');
INSERT INTO `erm_business_dict_data` VALUES ('138', 3, 1, '父母', 'erm_personal_relationship', '父母', 0, '2024-06-24 15:42:11', '1', NULL, NULL, '000000');
INSERT INTO `erm_business_dict_data` VALUES ('139', 4, 1, '朋友', 'erm_personal_relationship', '朋友', 0, '2024-06-24 15:42:11', '1', NULL, NULL, '000000');
INSERT INTO `erm_business_dict_data` VALUES ('168', 0, 1, '标签', 'erm_doctor_tags', '标签', 0, '2024-06-24 15:42:11', '1', NULL, NULL, '000000');
INSERT INTO `erm_business_dict_data` VALUES ('182fb30f8496a6dd9a22c240b9e0dbab', 2, 1, '1', 'erm_class_settings', '正常', 0, '2024-07-02 10:45:24', 'admin', '2024-07-02 10:45:24', 'admin', '000000');
INSERT INTO `erm_business_dict_data` VALUES ('434ff314fcc4005dbbcc5b2dd2ebe5d4', 1, 1, '回访内容', 'erm_follow_up_content', '回访内容', 0, '2024-06-25 13:54:56', 'admin', '2024-06-25 13:54:56', 'admin', '000000');
INSERT INTO `erm_business_dict_data` VALUES ('45b6e888cf35ed50f5302bfba47cefd7', 1, 1, '台', 'erm_unit_settings', '台', 0, '2024-06-25 13:55:47', 'admin', '2024-06-25 13:55:47', 'admin', '000000');
INSERT INTO `erm_business_dict_data` VALUES ('518a29c2e21b34870e6fad62851ede33', 0, 1, '无', 'erm_past_history', '无', 0, '2024-07-30 15:00:25', 'admin', '2024-07-30 15:00:25', 'admin', '000000');
INSERT INTO `erm_business_dict_data` VALUES ('5ab868a08ad1a1ae771208859f563f52', 1, 1, '半次', 'erm_class_settings', '半次', 0, '2024-06-25 08:00:00', 'admin', '2024-06-25 08:00:00', 'admin', '000000');
INSERT INTO `erm_business_dict_data` VALUES ('61b6bc19bbff3561557756b554e48bdd', 0, 1, '无', 'erm_family_history', '无', 0, '2024-07-30 14:59:55', 'admin', '2024-07-30 14:59:55', 'admin', '000000');
INSERT INTO `erm_business_dict_data` VALUES ('8e80aeff66578a46248b18fbfe4b2815', 1, 1, '回访结果', 'erm_follow_up_results', '回访结果', 0, '2024-06-25 13:55:11', 'admin', '2024-06-25 13:55:11', 'admin', '000000');
INSERT INTO `erm_business_dict_data` VALUES ('bc453e86f7e3fea85ae976c8261daf25', 1, 1, '1', 'erm_follow_up_type', '回访类型', 0, '2024-06-25 13:54:35', 'admin', '2024-06-25 13:54:35', 'admin', '000000');

-- ----------------------------
-- Table structure for erm_chat_disease
-- ----------------------------
DROP TABLE IF EXISTS `erm_chat_disease`;
CREATE TABLE `erm_chat_disease`  (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键id',
  `is_del` int NOT NULL DEFAULT 0 COMMENT '是否删除',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_user` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人\r\n',
  `update_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `update_user` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `tenant_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '问诊人姓名',
  `age` int NULL DEFAULT NULL COMMENT '问诊人年龄',
  `sex` int NULL DEFAULT NULL COMMENT '性别',
  `docker` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '医生',
  `resource` varchar(3000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '病情资料',
  `patient_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '患者id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '聊天记录资料卡片' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_chat_disease
-- ----------------------------
INSERT INTO `erm_chat_disease` VALUES ('11301448fb4831f99a25f9be242a1604', 0, '2024-07-30 17:28:29', 'f3841896f0d63362f6276eee04bf0f76', '2024-08-02 17:12:05', 'f3841896f0d63362f6276eee04bf0f76', NULL, '悦悦', 2, 0, '小刘', '产品测试', '9d89756caa702636640cdc8ef4a6080d');
INSERT INTO `erm_chat_disease` VALUES ('3dbc33c09f25e0ae31e32247f7cd5429', 0, '2024-08-02 13:39:02', 'f3841896f0d63362f6276eee04bf0f76', '2024-08-05 15:03:47', 'f3841896f0d63362f6276eee04bf0f76', NULL, '丹丹', 4, 0, '刘一', '日日日', '8b97633b0592a4d940b33316c0eef171');
INSERT INTO `erm_chat_disease` VALUES ('62506a55f1c298eb5e2f5d30cd59182e', 0, '2024-07-30 10:41:03', 'f3841896f0d63362f6276eee04bf0f76', '2024-07-30 10:41:03', 'f3841896f0d63362f6276eee04bf0f76', NULL, '李帅', 2, 0, '刘一', '嘎嘎嘎', '4f3f21fe132af34fd5774ef9a105676e');
INSERT INTO `erm_chat_disease` VALUES ('fe9ec3149bcb81db7b90b3db94fd2ea0', 0, '2024-07-22 10:54:45', '15611664439', '2024-07-22 10:54:45', '15611664439', NULL, '陈祖彬', 0, 0, '刘一', '得到', 'ee16178c5199228ede4800233e82dbaa');

-- ----------------------------
-- Table structure for erm_chat_disease_info
-- ----------------------------
DROP TABLE IF EXISTS `erm_chat_disease_info`;
CREATE TABLE `erm_chat_disease_info`  (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键id',
  `chat_disease_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '问诊资料id',
  `url` varchar(3000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '图片链接',
  `is_del` int NOT NULL DEFAULT 0 COMMENT '是否删除',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_user` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人\r\n',
  `update_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `update_user` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `tenant_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_chat_disease_info
-- ----------------------------
INSERT INTO `erm_chat_disease_info` VALUES ('47da744489bef6413d99bdedc9258ce1', '3dbc33c09f25e0ae31e32247f7cd5429', '', 0, '2024-08-05 15:03:47', 'f3841896f0d63362f6276eee04bf0f76', '2024-08-05 15:03:47', 'f3841896f0d63362f6276eee04bf0f76', NULL);
INSERT INTO `erm_chat_disease_info` VALUES ('62e1e7e6390c833ecabb59970d3a4d3e', '11301448fb4831f99a25f9be242a1604', '', 0, '2024-08-02 17:12:05', 'f3841896f0d63362f6276eee04bf0f76', '2024-08-02 17:12:05', 'f3841896f0d63362f6276eee04bf0f76', NULL);
INSERT INTO `erm_chat_disease_info` VALUES ('a071475928edbf38671bcd70b9c40ffb', '62506a55f1c298eb5e2f5d30cd59182e', 'http://39.105.121.97:19000/eitc/chat/2024-07-30/IMG_20240718_105904.jpg?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=minioadmin%2F20240730%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20240730T024100Z&X-Amz-Expires=604800&X-Amz-SignedHeaders=host&X-Amz-Signature=e9050338883e2d3a42b40f824a3e3dd582734b01699ad4c7a503a25b04b75eff', 0, '2024-07-30 10:41:03', 'f3841896f0d63362f6276eee04bf0f76', '2024-07-30 10:41:03', 'f3841896f0d63362f6276eee04bf0f76', NULL);

-- ----------------------------
-- Table structure for erm_chat_history
-- ----------------------------
DROP TABLE IF EXISTS `erm_chat_history`;
CREATE TABLE `erm_chat_history`  (
  `id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键id',
  `app_user_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'app用户ID',
  `app_user_phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户手机号',
  `chat_history` varchar(3000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '聊天记录',
  `is_del` int NOT NULL DEFAULT 0 COMMENT '是否删除',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_user` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人\r\n',
  `update_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `update_user` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `tenant_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户',
  `is_read` int NOT NULL DEFAULT 0 COMMENT '默认未读（0） 已读 1',
  `user_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '医生用户的账户',
  `user_phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '医生手机号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '聊天记录表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_chat_history
-- ----------------------------

-- ----------------------------
-- Table structure for erm_clinic_info
-- ----------------------------
DROP TABLE IF EXISTS `erm_clinic_info`;
CREATE TABLE `erm_clinic_info`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `clinic_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '诊所名称',
  `logo_pic` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'logo照片',
  `clinic_link_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '诊所联系人',
  `clinic_link_phone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '绑定手机',
  `city` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所在地区',
  `city_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所在地区code',
  `detailed_address` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '详细信息',
  `business_license_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '营业执照名称',
  `business_license_code` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '营业执照代码',
  `medical_institution_code` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '医疗机构代码',
  `business_start_time` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '营业开始时间',
  `business_end_time` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '营业结束时间',
  `clinic_working_days` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '诊所工作日',
  `operating_years` int NULL DEFAULT NULL COMMENT '经营年限',
  `dental_chairs_num` int NULL DEFAULT NULL COMMENT '牙椅数量',
  `store_area` int NULL DEFAULT NULL COMMENT '门店面积',
  `store_introduction` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '门店介绍',
  `banner_pic` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'banner图',
  `medical_institution_occupational_license` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '医疗机构职业许可证',
  `scanned_copy_business_license` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '营业执照扫描件',
  `version_info` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '当前履约版本编号',
  `version_info_new` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '总服务器履约最新版本',
  `version_repair` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '当前修复版本号',
  `version_repair_new` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '当前总服务器修复版本号',
  `clinic_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '诊所编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '诊所信息' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_clinic_info
-- ----------------------------

-- ----------------------------
-- Table structure for erm_collect_cost_details
-- ----------------------------
DROP TABLE IF EXISTS `erm_collect_cost_details`;
CREATE TABLE `erm_collect_cost_details`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `collect_cost_type_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '收费类型ID',
  `project_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '项目编号',
  `project_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '项目名称',
  `unit_price` decimal(10, 2) NOT NULL DEFAULT 0.00 COMMENT '单价',
  `unit` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '单位',
  `status` int NOT NULL DEFAULT 1 COMMENT '状态（1开启，0禁用）',
  `order_num` int NULL DEFAULT 0 COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '收费分类详情' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_collect_cost_details
-- ----------------------------

-- ----------------------------
-- Table structure for erm_collect_cost_patients
-- ----------------------------
DROP TABLE IF EXISTS `erm_collect_cost_patients`;
CREATE TABLE `erm_collect_cost_patients`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `patient_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '患者ID',
  `patient_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '患者名字',
  `medical_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '病历ID',
  `amount_cost` decimal(10, 2) NOT NULL DEFAULT 0.00 COMMENT '合计费用',
  `receivable_cost` decimal(10, 2) NOT NULL DEFAULT 0.00 COMMENT '应收费用',
  `net_receipts_cost` decimal(10, 2) NOT NULL DEFAULT 0.00 COMMENT '实收费用',
  `cost_status` int NOT NULL DEFAULT 1 COMMENT '收费状态（1待收费，2已收费）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '患者收费信息' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_collect_cost_patients
-- ----------------------------

-- ----------------------------
-- Table structure for erm_collect_cost_patients_details
-- ----------------------------
DROP TABLE IF EXISTS `erm_collect_cost_patients_details`;
CREATE TABLE `erm_collect_cost_patients_details`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `collect_cost_patients_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '患者收费信息ID',
  `project_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '项目编号',
  `project_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '项目名称',
  `unit_price` decimal(10, 2) NOT NULL DEFAULT 0.00 COMMENT '单价',
  `preferential_price` decimal(10, 2) NOT NULL DEFAULT 0.00 COMMENT '优惠价格',
  `unit` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '单位',
  `tooth_position` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '牙位',
  `total` int NOT NULL DEFAULT 0 COMMENT '数量',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '患者收费信息详情' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_collect_cost_patients_details
-- ----------------------------

-- ----------------------------
-- Table structure for erm_collect_cost_type
-- ----------------------------
DROP TABLE IF EXISTS `erm_collect_cost_type`;
CREATE TABLE `erm_collect_cost_type`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `parent_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '父级ID',
  `cost_type_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分类名称',
  `order_num` int NULL DEFAULT 0 COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '收费分类表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_collect_cost_type
-- ----------------------------

-- ----------------------------
-- Table structure for erm_collection_doctor
-- ----------------------------
DROP TABLE IF EXISTS `erm_collection_doctor`;
CREATE TABLE `erm_collection_doctor`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `doctor_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '医生id',
  `app_user_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'app端用户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '我的医生' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_collection_doctor
-- ----------------------------

-- ----------------------------
-- Table structure for erm_diagnosis_type
-- ----------------------------
DROP TABLE IF EXISTS `erm_diagnosis_type`;
CREATE TABLE `erm_diagnosis_type`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `parent_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '父级id',
  `diagnosis_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '诊断名称',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `idx_diagnosis_name`(`is_del` ASC, `parent_id` ASC, `diagnosis_name` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '诊断分类' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_diagnosis_type
-- ----------------------------

-- ----------------------------
-- Table structure for erm_diagnosis_type_cost_project
-- ----------------------------
DROP TABLE IF EXISTS `erm_diagnosis_type_cost_project`;
CREATE TABLE `erm_diagnosis_type_cost_project`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `diagnosis_type_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '诊断分类ID',
  `collect_cost_details_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '收费分类详情ID',
  `total` int NOT NULL DEFAULT 0 COMMENT '数量',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '诊断分类收费项目表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_diagnosis_type_cost_project
-- ----------------------------

-- ----------------------------
-- Table structure for erm_diagnosis_type_order_doctor
-- ----------------------------
DROP TABLE IF EXISTS `erm_diagnosis_type_order_doctor`;
CREATE TABLE `erm_diagnosis_type_order_doctor`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `doctor_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '医生id',
  `diagnosis_type_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '诊断类型id',
  `order_num` int NULL DEFAULT 0 COMMENT '排序',
  `parent_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '父级id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '诊断分类排序与医生的关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_diagnosis_type_order_doctor
-- ----------------------------

-- ----------------------------
-- Table structure for erm_diagnosis_type_template
-- ----------------------------
DROP TABLE IF EXISTS `erm_diagnosis_type_template`;
CREATE TABLE `erm_diagnosis_type_template`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `diagnosis_type_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '诊断分类id',
  `template_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板名称',
  `template_example` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板示例',
  `template_info` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板信息',
  `template_option` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板选项',
  `review_status` int NULL DEFAULT NULL COMMENT '审核状态（1待审核，2已审核）',
  `order_num` int NOT NULL DEFAULT 0 COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `idx_template_name`(`is_del` ASC, `diagnosis_type_id` ASC, `template_name` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '诊断分类模板' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_diagnosis_type_template
-- ----------------------------

-- ----------------------------
-- Table structure for erm_medical_history
-- ----------------------------
DROP TABLE IF EXISTS `erm_medical_history`;
CREATE TABLE `erm_medical_history`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `medical_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '病历id',
  `patient_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '患者id',
  `disease_type` int NULL DEFAULT NULL COMMENT '疾病类型',
  `disease_content` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '疾病内容',
  `disease_source` int NULL DEFAULT NULL COMMENT '疾病来源（1患者，2医生）',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `idx_id`(`is_del` ASC, `medical_record_id` ASC, `patient_id` ASC, `disease_source` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '病史表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_medical_history
-- ----------------------------

-- ----------------------------
-- Table structure for erm_medical_record
-- ----------------------------
DROP TABLE IF EXISTS `erm_medical_record`;
CREATE TABLE `erm_medical_record`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `patient_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '患者id',
  `status` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态（1未完成，2已完成治疗）',
  `attending_doctor_id` bigint NULL DEFAULT NULL COMMENT '主治医生',
  `attending_doctor_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主治医生',
  `visit_type` int NULL DEFAULT NULL COMMENT '就诊类型（1初诊，2复诊）',
  `outpatient_service` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预约门诊',
  `department` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预约科室',
  `cost` decimal(10, 2) NULL DEFAULT NULL COMMENT '费用',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '病历表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_medical_record
-- ----------------------------

-- ----------------------------
-- Table structure for erm_medical_record_details
-- ----------------------------
DROP TABLE IF EXISTS `erm_medical_record_details`;
CREATE TABLE `erm_medical_record_details`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `medical_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '病历id',
  `diagnosis_type_template_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '诊断分类模板id',
  `diagnosis_type_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '诊断分类',
  `diagnosis_type_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '诊断分类名称',
  `tooth_position` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '牙位',
  `tooth_status` int NULL DEFAULT NULL COMMENT '牙齿状态',
  `template_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板名称',
  `template_example` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板示例',
  `content_info` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '内容信息',
  `template_info` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板信息',
  `template_option` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板选项',
  `template_view` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板视图',
  `order_num` int NOT NULL DEFAULT 0 COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '病历详情表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_medical_record_details
-- ----------------------------

-- ----------------------------
-- Table structure for erm_notice_manage
-- ----------------------------
DROP TABLE IF EXISTS `erm_notice_manage`;
CREATE TABLE `erm_notice_manage`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `notice_title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公告标题',
  `notice_content` longblob NULL COMMENT '公告内容',
  `notice_start_time` datetime NOT NULL COMMENT '公告开始时间',
  `notice_end_time` datetime NOT NULL COMMENT '公告结束时间',
  `publish_status` int NULL DEFAULT NULL COMMENT '发布状态（1发布，0未发布）',
  `display_status` int NULL DEFAULT NULL COMMENT '显示状态(1未开始，2显示中，3已结束)',
  `publish_people` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '发布人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '公告管理' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_notice_manage
-- ----------------------------

-- ----------------------------
-- Table structure for erm_patient
-- ----------------------------
DROP TABLE IF EXISTS `erm_patient`;
CREATE TABLE `erm_patient`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `medical_record_num` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '病历号',
  `patient_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '患者姓名',
  `patient_phone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '患者手机号',
  `personal_relationship` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '与患者关系',
  `link_phone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系人电话',
  `home_address` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '家庭住址',
  `birthday` datetime NULL DEFAULT NULL COMMENT '出生日期',
  `sex` int NULL DEFAULT NULL COMMENT '性别（1男，2女）',
  `citizenship` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '国籍',
  `avatar` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '头像',
  `identification_card` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '身份证号',
  `document_type` int NULL DEFAULT NULL COMMENT '证件类型',
  `work_unit` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '工作单位',
  `occupation` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '职业',
  `nationality` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '民族',
  `blood_group` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '血型',
  `marriage` int NULL DEFAULT NULL COMMENT '婚姻（1未婚，2已婚）',
  `patient_source` int NULL DEFAULT NULL COMMENT '患者来源',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `patient_tags` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '患者标签',
  `create_type` int NULL DEFAULT NULL COMMENT '创建类型（1pc，2app）',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `identification_card_idx`(`identification_card` ASC) USING BTREE COMMENT '身份证号',
  UNIQUE INDEX `medical_record_num_idx`(`medical_record_num` ASC) USING BTREE COMMENT '病历号'
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '患者表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_patient
-- ----------------------------

-- ----------------------------
-- Table structure for erm_patient_appointment
-- ----------------------------
DROP TABLE IF EXISTS `erm_patient_appointment`;
CREATE TABLE `erm_patient_appointment`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `outpatient_service` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预约门诊',
  `department` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预约科室',
  `appointment_type` int NULL DEFAULT NULL COMMENT '预约类型（1就诊，2复诊）',
  `attending_doctor_id` bigint NULL DEFAULT NULL COMMENT '主治医生',
  `attending_doctor` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主治医生',
  `visit_type` int NULL DEFAULT NULL COMMENT '就诊类型（1初诊，2复诊）',
  `appointment_person_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '患者',
  `appointment_person` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '患者',
  `appointment_start_time` datetime NULL DEFAULT NULL COMMENT '预约开始时间',
  `appointment_end_time` datetime NULL DEFAULT NULL COMMENT '预约结束时间',
  `appointment_project` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '预约项目',
  `appointment_status` int NULL DEFAULT NULL COMMENT '预约状态（1预约，2已确定，3已到店，4治疗中，5治疗完成，6已结账，7已离开，8已失约）',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `register_user_id` bigint NULL DEFAULT NULL COMMENT '登记人',
  `register_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登记人',
  `medical_record_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '病历id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '患者预约表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_patient_appointment
-- ----------------------------

-- ----------------------------
-- Table structure for erm_patient_follow_up
-- ----------------------------
DROP TABLE IF EXISTS `erm_patient_follow_up`;
CREATE TABLE `erm_patient_follow_up`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `follow_up_user_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '回访人：默认当前账号姓名，可修改',
  `follow_up_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `patient_appointment_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '就诊表外键',
  `appointment_start_time` datetime NULL DEFAULT NULL COMMENT '就诊时间',
  `follow_up_time` datetime NOT NULL COMMENT '回访时间：默认当前日期及时间，可修改',
  `follow_up_status` int NULL DEFAULT NULL COMMENT '回访状态：已回访、待回访',
  `follow_up_type` int NULL DEFAULT NULL COMMENT '回访类型：未成交、已上门、术后',
  `follow_up_content` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '回访内容：治疗一周回访、拔牙一天回访',
  `follow_up_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '回访结果：无不适、数量出血、牙微疼痛',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '患者回访表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_patient_follow_up
-- ----------------------------

-- ----------------------------
-- Table structure for erm_protocol_template
-- ----------------------------
DROP TABLE IF EXISTS `erm_protocol_template`;
CREATE TABLE `erm_protocol_template`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `protocol_type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '协议类型',
  `protocol_template_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '协议模板名称',
  `protocol_template_content` longblob NULL COMMENT '协议模板内容',
  `status` int NOT NULL DEFAULT 1 COMMENT '状态（1开启，0禁用）',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '协议模板表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_protocol_template
-- ----------------------------
INSERT INTO `erm_protocol_template` VALUES ('5bc4118321f7296501729412383d4394', 0, '2024-07-29 11:51:25', 'admin', '2024-07-29 11:51:25', 'admin', '000000', '83df5a50b8cff58beb24a86e1e5431db', '知情同意书', 0x3C6832207374796C653D22746578742D616C69676E3A63656E7465723B223E0A093C6272202F3E0A3C2F68323E, 1);
INSERT INTO `erm_protocol_template` VALUES ('a0a0cded4f755cdbfdd6a45c81c309ff', 0, '2024-07-29 11:50:05', 'admin', '2024-07-29 11:50:05', 'admin', '000000', '23328b8380fd0410bcc2285d88e079f6', '用户须知', 0x3C70207374796C653D22746578742D616C69676E3A63656E7465723B223E0A093C6272202F3E0A3C2F703E, 1);

-- ----------------------------
-- Table structure for erm_protocol_type
-- ----------------------------
DROP TABLE IF EXISTS `erm_protocol_type`;
CREATE TABLE `erm_protocol_type`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `protocol_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '协议名称',
  `order_num` int NOT NULL DEFAULT 0 COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '协议类型配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_protocol_type
-- ----------------------------
INSERT INTO `erm_protocol_type` VALUES ('23328b8380fd0410bcc2285d88e079f6', 0, '2024-07-19 14:50:32', 'admin', '2024-07-19 14:50:32', 'admin', '000000', '用户须知', 0);
INSERT INTO `erm_protocol_type` VALUES ('83df5a50b8cff58beb24a86e1e5431db', 0, '2024-07-19 14:51:06', 'admin', '2024-07-19 14:51:06', 'admin', '000000', '知情同意书', 0);

-- ----------------------------
-- Table structure for erm_scheduling_configuration
-- ----------------------------
DROP TABLE IF EXISTS `erm_scheduling_configuration`;
CREATE TABLE `erm_scheduling_configuration`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `doctor_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '医生ID',
  `week_num` int NOT NULL COMMENT '星期几',
  `work_status` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '工作状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '排班配置' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_scheduling_configuration
-- ----------------------------

-- ----------------------------
-- Table structure for erm_scheduling_details
-- ----------------------------
DROP TABLE IF EXISTS `erm_scheduling_details`;
CREATE TABLE `erm_scheduling_details`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `doctor_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '医生ID',
  `work_date` date NOT NULL COMMENT '工作日期',
  `work_year` int NULL DEFAULT NULL COMMENT '工作年份',
  `work_month` int NULL DEFAULT NULL COMMENT '工作月份',
  `work_day` int NULL DEFAULT NULL COMMENT '工作月份',
  `work_status` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '工作状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '排班详情' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_scheduling_details
-- ----------------------------

-- ----------------------------
-- Table structure for erm_scheduling_status
-- ----------------------------
DROP TABLE IF EXISTS `erm_scheduling_status`;
CREATE TABLE `erm_scheduling_status`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `is_del` int NOT NULL DEFAULT 0 COMMENT '删除标识：0正常，1已删除',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `create_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '创建人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `update_user` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `tenant_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '000000' COMMENT '租户ID',
  `status_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态名称',
  `start_time` time NULL DEFAULT NULL COMMENT '开始时间',
  `end_time` time NULL DEFAULT NULL COMMENT '结束时间',
  `color` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '颜色',
  `order_num` int NULL DEFAULT 0 COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '排班类型' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of erm_scheduling_status
-- ----------------------------
INSERT INTO `erm_scheduling_status` VALUES ('0eef00213a9fbd85c4a7b3155cd52662', 0, '2024-07-05 16:51:03', 'admin', '2024-07-05 16:51:03', 'admin', NULL, '下', '13:00:00', '20:30:00', '#ffe6ff', 3);
INSERT INTO `erm_scheduling_status` VALUES ('358283103e671dc7929e9c6a916abf00', 0, '2024-07-05 16:50:48', 'admin', '2024-07-05 16:50:48', 'admin', NULL, '上', '08:00:00', '11:30:00', '#e6ffff', 2);
INSERT INTO `erm_scheduling_status` VALUES ('628f4112d5e6f425d5f659cc0b2ea61d', 0, '2024-07-05 00:00:00', 'admin', '2024-07-05 00:00:00', 'admin', NULL, '休', NULL, NULL, '#c0c0c0', 4);
INSERT INTO `erm_scheduling_status` VALUES ('eb96fc4c755561a266e4f3e2f09e7142', 0, '2024-07-05 00:00:00', 'admin', '2024-07-05 00:00:00', 'admin', NULL, '全', '08:00:00', '20:30:00', '#4e8ec8', 1);

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `tpl_web_type` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '前端模板类型（element-ui模版 element-plus模版）',
  `package_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table
-- ----------------------------

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` bigint NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------

-- ----------------------------
-- Table structure for sys_clinic_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_clinic_info`;
CREATE TABLE `sys_clinic_info`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `clinic_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '诊所编号',
  `clinic_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '诊所名称',
  `clinic_ip` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '服务IP',
  `server_post` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '服务端口',
  `web_socket_post` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'websocket端口',
  `server_user` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '服务用户',
  `server_password` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '服务密码',
  `realm_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '诊所域名',
  `creat_time` datetime NOT NULL COMMENT '开户时间',
  `expire_time` datetime NOT NULL COMMENT '到期时间',
  `region` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所在地区',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '绑定手机',
  `address` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '详细地址',
  `status_int` int NULL DEFAULT NULL COMMENT '诊所状态',
  `quota` int NULL DEFAULT NULL COMMENT '账户名额',
  `is_del` int NULL DEFAULT 0 COMMENT '是否删除',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_user` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人\r\n',
  `update_date` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `update_user` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `tenant_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户',
  `server_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '服务器唯一标识',
  `version_refer` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '版本描述',
  `version_repair` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '修复版本号',
  `version_info` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '版本信息',
  `v_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '履约版本MD5的编码',
  `repair_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'bug版本MD5的编码',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '诊所信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_clinic_info
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '参数配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2024-05-16 17:28:08', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2024-05-16 17:28:08', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2024-05-16 17:28:08', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'false', 'Y', 'admin', '2024-05-16 17:28:08', '', NULL, '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2024-05-16 17:28:08', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2024-05-16 17:28:08', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 102 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '部门表(门诊-科室)' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '诊所名称', 0, '', '', '', '0', '0', 'admin', '2024-05-16 17:27:47', 'admin', '2024-06-18 16:36:41');
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '科室', 1, '', '', '', '0', '0', 'admin', '2024-05-16 17:27:47', 'admin', '2024-08-08 09:36:25');

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 160 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2024-05-16 17:28:06', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2024-05-16 17:28:07', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (100, 1, '主诉', '主诉', 'erm_diagnosis_type_template_name', NULL, 'default', 'N', '0', 'admin', '2024-05-30 11:27:58', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (101, 2, '现病史', '现病史', 'erm_diagnosis_type_template_name', NULL, 'default', 'N', '0', 'admin', '2024-05-30 11:28:18', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (102, 3, '既往史', '既往史', 'erm_diagnosis_type_template_name', NULL, 'default', 'N', '0', 'admin', '2024-05-30 11:28:31', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (103, 4, '家族史', '家族史', 'erm_diagnosis_type_template_name', NULL, 'default', 'N', '0', 'admin', '2024-05-30 11:28:41', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (104, 5, '过敏史', '过敏史', 'erm_diagnosis_type_template_name', NULL, 'default', 'N', '0', 'admin', '2024-05-30 11:28:49', 'admin', '2024-06-18 18:34:56', NULL);
INSERT INTO `sys_dict_data` VALUES (105, 7, 'X线片示（影像）', 'X线片示（影像）', 'erm_diagnosis_type_template_name', NULL, 'default', 'N', '0', 'admin', '2024-05-30 11:29:09', 'admin', '2024-06-18 18:35:07', NULL);
INSERT INTO `sys_dict_data` VALUES (106, 8, '诊断', '诊断', 'erm_diagnosis_type_template_name', NULL, 'default', 'N', '0', 'admin', '2024-05-30 11:29:24', 'admin', '2024-06-18 18:35:17', NULL);
INSERT INTO `sys_dict_data` VALUES (107, 9, '治疗计划', '治疗计划', 'erm_diagnosis_type_template_name', NULL, 'default', 'N', '0', 'admin', '2024-05-30 11:29:34', 'admin', '2024-06-18 18:35:28', NULL);
INSERT INTO `sys_dict_data` VALUES (108, 10, '处置（基础模版公用）', '处置（基础模版公用）', 'erm_diagnosis_type_template_name', NULL, 'default', 'N', '0', 'admin', '2024-05-30 11:29:45', 'admin', '2024-06-24 14:22:29', NULL);
INSERT INTO `sys_dict_data` VALUES (109, 11, '处置', '处置', 'erm_diagnosis_type_template_name', NULL, 'default', 'N', '0', 'admin', '2024-05-30 11:30:07', 'admin', '2024-06-24 14:22:35', NULL);
INSERT INTO `sys_dict_data` VALUES (110, 12, '医嘱', '医嘱', 'erm_diagnosis_type_template_name', NULL, 'default', 'N', '0', 'admin', '2024-05-30 11:30:18', 'admin', '2024-06-24 14:22:39', NULL);
INSERT INTO `sys_dict_data` VALUES (111, 0, '中国', 'CN', 'erm_citizenship', NULL, 'default', 'N', '0', 'admin', '2024-06-03 13:58:34', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (112, 1, '巴基斯坦', '巴铁', 'erm_citizenship', NULL, 'default', 'N', '0', 'admin', '2024-06-03 14:00:54', 'admin', '2024-06-03 14:01:02', NULL);
INSERT INTO `sys_dict_data` VALUES (115, 0, '汉族', '汉族', 'erm_nationality', NULL, 'default', 'N', '0', 'admin', '2024-06-03 14:24:52', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (116, 1, '回族', '回族', 'erm_nationality', NULL, 'default', 'N', '0', 'admin', '2024-06-03 14:25:03', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (117, 2, '满族', '满族', 'erm_nationality', NULL, 'default', 'N', '0', 'admin', '2024-06-03 14:25:12', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (132, 0, '身份证', '身份证', 'erm_document_type', NULL, 'default', 'N', '0', 'admin', '2024-06-03 14:33:12', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (140, 1, 'A型血', '1', 'erm_patient_blood', NULL, 'default', 'N', '0', 'admin', '2024-06-04 15:10:42', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (141, 2, 'B型血', '2', 'erm_patient_blood', NULL, 'default', 'N', '0', 'admin', '2024-06-04 15:10:56', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (142, 3, 'O型血', '3', 'erm_patient_blood', NULL, 'default', 'N', '0', 'admin', '2024-06-04 15:11:17', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (143, 4, 'AB型血', '4', 'erm_patient_blood', NULL, 'default', 'N', '0', 'admin', '2024-06-04 15:11:29', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (144, 5, 'RH型血', '5', 'erm_patient_blood', NULL, 'default', 'N', '0', 'admin', '2024-06-04 15:11:57', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (145, 1, '预约', '1', 'erm_reservation_status', NULL, 'default', 'N', '0', 'admin', '2024-06-13 11:02:15', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (146, 2, '已确定', '2', 'erm_reservation_status', NULL, 'default', 'N', '1', 'admin', '2024-06-13 11:02:36', 'admin', '2024-06-25 09:07:40', NULL);
INSERT INTO `sys_dict_data` VALUES (147, 3, '已到店', '3', 'erm_reservation_status', NULL, 'default', 'N', '1', 'admin', '2024-06-13 11:02:46', 'admin', '2024-07-08 08:47:28', NULL);
INSERT INTO `sys_dict_data` VALUES (148, 4, '待复诊', '4', 'erm_reservation_status', NULL, 'default', 'N', '0', 'admin', '2024-06-13 11:02:56', 'admin', '2024-07-08 08:45:11', NULL);
INSERT INTO `sys_dict_data` VALUES (149, 5, '治疗完成', '5', 'erm_reservation_status', NULL, 'default', 'N', '0', 'admin', '2024-06-13 11:03:05', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (150, 6, '已结账', '6', 'erm_reservation_status', NULL, 'default', 'N', '0', 'admin', '2024-06-13 11:03:15', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (151, 7, '已离开', '7', 'erm_reservation_status', NULL, 'default', 'N', '1', 'admin', '2024-06-13 11:03:25', 'admin', '2024-06-25 09:07:47', NULL);
INSERT INTO `sys_dict_data` VALUES (152, 8, '已失约', '8', 'erm_reservation_status', NULL, 'default', 'N', '0', 'admin', '2024-06-13 11:03:41', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (153, 6, '检查', '检查', 'erm_diagnosis_type_template_name', NULL, 'default', 'N', '0', 'admin', '2024-06-18 18:34:06', 'admin', '2024-06-18 18:34:22', NULL);
INSERT INTO `sys_dict_data` VALUES (154, 0, '1个月', '1', 'erm_query_scope', NULL, 'default', 'N', '0', 'admin', '2024-07-19 17:08:39', 'admin', '2024-07-19 17:09:31', NULL);
INSERT INTO `sys_dict_data` VALUES (155, 0, '2个月', '2', 'erm_query_scope', NULL, 'default', 'N', '0', 'admin', '2024-07-19 17:10:03', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (156, 0, 'access-key-id', 'xx', 'erm_sms', NULL, 'default', 'N', '0', 'admin', '2024-07-31 10:49:18', 'admin', '2024-07-31 11:07:26', NULL);
INSERT INTO `sys_dict_data` VALUES (157, 1, 'access-key-secret', 'xxx', 'erm_sms', NULL, 'default', 'N', '0', 'admin', '2024-07-31 10:50:31', 'admin', '2024-07-31 11:41:55', NULL);
INSERT INTO `sys_dict_data` VALUES (158, 2, 'sign-name', 'xxxx', 'erm_sms', NULL, 'default', 'N', '0', 'admin', '2024-07-31 10:50:43', 'admin', '2024-07-31 11:42:01', NULL);
INSERT INTO `sys_dict_data` VALUES (159, 3, 'template-code', 'xxxxx', 'erm_sms', NULL, 'default', 'N', '0', 'admin', '2024-07-31 10:51:11', 'admin', '2024-07-31 11:42:06', NULL);

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 115 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典类型表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2024-05-16 17:28:05', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2024-05-16 17:28:05', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2024-05-16 17:28:05', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2024-05-16 17:28:05', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2024-05-16 17:28:05', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2024-05-16 17:28:05', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2024-05-16 17:28:05', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2024-05-16 17:28:05', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2024-05-16 17:28:05', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2024-05-16 17:28:05', '', NULL, '登录状态列表');
INSERT INTO `sys_dict_type` VALUES (100, '诊断分类模板名称', 'erm_diagnosis_type_template_name', '0', 'admin', '2024-05-30 11:26:12', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (101, '国籍', 'erm_citizenship', '0', 'admin', '2024-06-03 13:56:03', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (103, '民族', 'erm_nationality', '0', 'admin', '2024-06-03 14:20:25', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (109, '证件类型', 'erm_document_type', '0', 'admin', '2024-06-03 14:32:05', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (111, '血型', 'erm_patient_blood', '0', 'admin', '2024-06-04 15:09:10', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (112, '预约状态', 'erm_reservation_status', '0', 'admin', '2024-06-13 10:59:49', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (113, '就诊时间范围', 'erm_query_scope', '0', 'admin', '2024-07-19 17:08:09', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (114, '短信配置', 'erm_sms', '0', 'admin', '2024-07-31 10:46:41', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '定时任务调度表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '验证预约状态', 'DEFAULT', 'patientAppointmentTask.checkAppointmentStatus', '30 * * * * ?', '1', '1', '0', 'admin', '2024-05-16 17:28:09', 'admin', '2024-08-05 11:39:31', '');
INSERT INTO `sys_job` VALUES (2, '定时生成排班', 'DEFAULT', 'schedulingConfigurationTask.generateScheduling', '0 0 1 1 * ?', '1', '1', '0', 'admin', '2024-07-04 02:37:10', '', '2024-08-01 15:01:32', '');
INSERT INTO `sys_job` VALUES (3, '定时验证公告显示状态', 'DEFAULT', 'noticeManageTask.checkNoticeManageDisplayStatus', '0 * * * * ?', '1', '1', '0', 'admin', '2024-07-04 02:37:10', 'admin', '2024-07-31 16:46:29', '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status` ASC) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`login_time` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统访问记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '路由参数',
  `is_frame` int NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2019 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 109, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-05-16 17:27:50', 'admin', '2024-06-20 09:34:15', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 1, 110, 'monitor', NULL, '', 1, 0, 'M', '1', '0', '', 'monitor', 'admin', '2024-05-16 17:27:51', 'admin', '2024-08-08 09:56:46', '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 1, 111, 'tool', NULL, '', 1, 0, 'M', '1', '0', '', 'tool', 'admin', '2024-05-16 17:27:51', 'admin', '2024-08-08 09:56:54', '系统工具目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-05-16 17:27:51', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-05-16 17:27:51', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '1', '0', 'system:menu:list', 'tree-table', 'admin', '2024-05-16 17:27:51', 'admin', '2024-08-07 17:19:42', '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '科室管理', 1, 4, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-05-16 17:27:51', 'admin', '2024-05-29 10:58:29', '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-05-16 17:27:51', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '1', '0', 'system:dict:list', 'dict', 'admin', '2024-05-16 17:27:51', 'admin', '2024-08-07 17:20:47', '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', 1, 0, 'C', '0', '1', 'system:config:list', 'edit', 'admin', '2024-05-16 17:27:51', 'admin', '2024-07-22 09:48:20', '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', 1, 0, 'C', '0', '1', 'system:notice:list', 'message', 'admin', '2024-05-16 17:27:51', 'admin', '2024-08-02 16:42:12', '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', 1, 0, 'M', '0', '1', '', 'log', 'admin', '2024-05-16 17:27:51', 'admin', '2024-07-22 09:48:27', '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-05-16 17:27:51', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-05-16 17:27:51', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', 1, 0, 'C', '0', '1', 'monitor:druid:list', 'druid', 'admin', '2024-05-16 17:27:51', 'admin', '2024-07-31 15:46:57', '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', 1, 0, 'C', '0', '1', 'monitor:server:list', 'server', 'admin', '2024-05-16 17:27:52', 'admin', '2024-07-31 15:47:03', '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', 1, 0, 'C', '0', '1', 'monitor:cache:list', 'redis', 'admin', '2024-05-16 17:27:52', 'admin', '2024-08-05 11:40:56', '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-05-16 17:27:52', 'admin', '2024-08-05 11:40:51', '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', 1, 0, 'C', '0', '1', 'tool:build:list', 'build', 'admin', '2024-05-16 17:27:52', 'admin', '2024-07-29 14:16:21', '表单构建菜单');
INSERT INTO `sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '1', 'tool:gen:list', 'code', 'admin', '2024-05-16 17:27:52', 'admin', '2024-07-29 14:16:28', '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-05-16 17:27:52', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-05-16 17:27:52', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-05-16 17:27:52', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-05-16 17:27:52', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-05-16 17:27:52', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-05-16 17:27:52', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-05-16 17:27:52', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-05-16 17:27:52', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-05-16 17:27:52', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-05-16 17:27:52', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-05-16 17:27:52', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-05-16 17:27:53', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-05-16 17:27:54', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-05-16 17:27:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-05-16 17:27:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-05-16 17:27:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-05-16 17:27:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-05-16 17:27:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-05-16 17:27:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-05-16 17:27:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-05-16 17:27:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2002, '病历模版', 2007, 20, 'medicalRecord', 'system/medicalRecord/index', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-05-29 10:32:34', 'admin', '2024-07-19 14:19:07', '');
INSERT INTO `sys_menu` VALUES (2003, '工作台', 0, 0, '/', 'home/index', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-05-29 11:29:29', 'admin', '2024-05-29 11:29:46', '');
INSERT INTO `sys_menu` VALUES (2004, '患者中心', 0, 1, '/patientCenter', 'patientCenter/index', NULL, 1, 0, 'C', '1', '0', 'system:user:list', '#', 'admin', '2024-05-31 09:47:51', 'admin', '2024-07-19 14:24:36', '');
INSERT INTO `sys_menu` VALUES (2005, '预约项目管理', 2007, 30, 'appointmentProject', 'system/appointmentProject/index', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-05-31 13:48:23', 'admin', '2024-07-22 09:54:58', '');
INSERT INTO `sys_menu` VALUES (2006, '预约管理', 0, 3, '/makeAppointment', 'makeAppointment/index', NULL, 1, 0, 'C', '1', '1', 'system:user:list', '#', 'admin', '2024-06-20 09:33:14', 'admin', '2024-07-19 14:24:27', '');
INSERT INTO `sys_menu` VALUES (2007, '诊所管理', 1, 19, 'settingsPage', NULL, NULL, 1, 0, 'M', '0', '0', '', 'server', 'admin', '2024-06-25 09:46:30', 'admin', '2024-06-25 09:50:26', '');
INSERT INTO `sys_menu` VALUES (2008, '配置设置', 2007, 5, 'configurationSettings', 'settingsPage/configurationSettings/index', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-06-25 09:48:04', 'admin', '2024-06-25 09:51:09', '');
INSERT INTO `sys_menu` VALUES (2009, '诊所概览', 2007, 1, 'clinicOverview', 'settingsPage/clinicOverview/index', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-06-26 06:00:09', 'admin', '2024-06-26 06:08:18', '');
INSERT INTO `sys_menu` VALUES (2010, '排班管理', 0, 5, '/scheduling', 'scheduling/index', NULL, 1, 0, 'C', '0', '0', '', 'druid', 'admin', '2024-07-02 06:53:33', 'admin', '2024-07-10 16:57:53', '');
INSERT INTO `sys_menu` VALUES (2011, '回访管理', 0, 4, '/returnVisit', 'returnVisit/index', NULL, 1, 0, 'C', '0', '0', NULL, 'phone', 'admin', '2024-07-10 17:00:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2012, '协议模版', 2007, 7, 'protocolTemplate', 'settingsPage/protocolTemplate/index', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-07-19 14:22:03', 'admin', '2024-07-19 14:22:57', '');
INSERT INTO `sys_menu` VALUES (2013, '就诊记录', 0, 2, '/medicalRecords', 'medicalRecords/index', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-07-19 14:24:54', 'admin', '2024-07-19 14:25:31', '');
INSERT INTO `sys_menu` VALUES (2014, '收费分类', 2007, 8, 'feeClassification', 'settingsPage/feeClassification/index', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-07-22 09:56:37', 'admin', '2024-07-22 10:03:07', '');
INSERT INTO `sys_menu` VALUES (2015, '患者收费分类', 2007, 9, 'patientFees', 'settingsPage/patientFees/index', NULL, 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-07-22 16:21:40', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2016, '运营分析', 0, 6, '/operationsAnalysis', 'operationsAnalysis/index', NULL, 1, 0, 'C', '0', '0', NULL, 'server', 'admin', '2024-07-25 15:16:05', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2017, '诊所维护', 1, 40, 'clinicMaintenance', 'settingsPage/clinicMaintenance/index', NULL, 1, 0, 'C', '0', '1', '', '#', 'admin', '2024-07-30 09:08:55', 'admin', '2024-08-09 14:56:57', '');
INSERT INTO `sys_menu` VALUES (2018, '公告管理', 2007, 50, 'announcements', 'settingsPage/announcements/index', NULL, 1, 0, 'C', '0', '0', NULL, '#', 'admin', '2024-07-30 14:39:33', '', NULL, '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '通知公告表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type` ASC) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status` ASC) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '操作日志记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '岗位信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '院长', 1, '0', 'admin', '2024-05-16 17:27:49', 'admin', '2024-06-18 16:37:28', '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 101 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-05-16 17:27:50', '', NULL, '超级管理员');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `dept_id` bigint NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和部门关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `menu_id` bigint NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `physician_qualification_certificate_pic` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '医师资格证书',
  `medical_practicing_certificate_pic` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '医师执业证书',
  `physician_qualification_certificate_num` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '医师资格证书编号',
  `medical_practicing_certificate_num` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '医师执业证书编号',
  `show_patient` int NULL DEFAULT NULL COMMENT '是否展示患者端',
  `doctor_proficient` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '医生擅长',
  `doctor_blurb` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '医生简介',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 101 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 100, 'admin', '管理员', '00', NULL, NULL, '0', NULL, '$2a$10$VHHmhcGIEryylqXeMtAM0u94XQFCSBglxX9uI8JxTxW8Y3wxiRTpi', '0', '0', '117.9.171.201', '2024-08-08 09:53:39', 'admin', '2024-05-16 17:27:49', '', '2024-08-08 09:53:39', NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL);

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `post_id` bigint NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `role_id` bigint NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);

SET FOREIGN_KEY_CHECKS = 1;
